Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class EventListenerList

    java.lang.Object
      org.eclipse.draw2d.EventListenerList

    public final class EventListenerList

extends Object

This class is intended for internal use only. TODO: If this is for internal use only, we should move it to the internal package.

Constructor Summary
`EventListenerList()`

Method Summary
`void` `addListener(Class c, Object listener)` Adds a listener of type c to the list.
`boolean` `containsListener(Class c)` Returns `true` if this list of listeners contains a listener of type c.
`Iterator` `getListeners(Class listenerType)` Returns an Iterator of all the listeners of type c.
`void` `removeListener(Class c, Object listener)` Removes the first listener of the specified type by identity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListenerList

    public EventListenerList()

Method Detail

### addListener

    public void addListener(Class c,
                            Object listener)

  Adds a listener of type c to the list.

  Parameters:
    `c` - the class
    `listener` - the listener

### containsListener

    public boolean containsListener(Class c)

  Returns `true` if this list of listeners contains a listener of type c.

  Parameters:
    `c` - the type
  Returns:
    whether this list contains a listener of type c

### getListeners

    public Iterator getListeners(Class listenerType)

  Returns an Iterator of all the listeners of type c.

  Parameters:
    `listenerType` - the type
  Returns:
    an Iterator of all the listeners of type c

### removeListener

    public void removeListener(Class c,
                               Object listener)

  Removes the first listener of the specified type by identity.

  Parameters:
    `c` - the type
    `listener` - the listener

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.